html.openmenu{
    pointer-events: none;
    overflow: hidden !important;
    height: 100% !important;
    -webkit-transition: all 0.3s linear;
    -o-transition: all 0.3s linear;
    transition: all 0.3s linear;
}
/*fixed IOS*/
html.openmenu body{
    height: 100% !important;
    position: relative;
    overflow: hidden !important;
    margin-top: 0 !important;
}
/*======================================================================*/
/*================================ICON==================================*/
/*======================================================================*/
.menu_mobile{
    position: relative;
    overflow: hidden;
}
.menu_mobile.showmenu{
    position: static;
}
.menu_mobile .icon_menu{
    position: relative;
    width: 40px;
    height: 40px;
    cursor: pointer;
    color: #333333;
    -webkit-transition: all 0.3s linear;
    -moz-transition: all 0.3s linear;
    -o-transition: all 0.3s linear;
    transition: all 0.3s linear;
    text-align: center;
    font-size: 12px;
    line-height: 12px;
    text-transform: uppercase;
}
.menu_mobile .icon_menu .style_icon{
    height: 2px;
    width: 30px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #333333;
}
.menu_mobile .icon_menu .style_icon:before,
.menu_mobile .icon_menu .style_icon:after {
    content: "";
    position: absolute;
    display: block;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
    transform: translateX(-50%);
    width: 30px;
    height: 2px;
    background: #333333;
    -webkit-transition: all 0.3s linear;
    -moz-transition: all 0.3s linear;
    -o-transition: all 0.3s linear;
    transition: all 0.3s linear;
}
.menu_mobile .icon_menu .style_icon:before{
    top: -8px;
}
.menu_mobile .icon_menu .style_icon:after {
    top: 8px;
}
.menu_mobile.showmenu .icon_menu .style_icon{
    height: 0;
}
.menu_mobile.showmenu .icon_menu .style_icon::before{
    -webkit-transform: translateX(-50%) rotate(45deg);
    -ms-transform: translateX(-50%) rotate(45deg);
    -o-transform: translateX(-50%) rotate(45deg);
    transform: translateX(-50%) rotate(45deg);
    top: 0;
}
.menu_mobile.showmenu .icon_menu .style_icon::after{
    -webkit-transform: translateX(-50%) rotate(-45deg);
    -ms-transform: translateX(-50%) rotate(-45deg);
    -o-transform: translateX(-50%) rotate(-45deg);
    transform: translateX(-50%) rotate(-45deg);
    top: 0;
}
/*======================================================================*/
/*=============================CONTENT==================================*/
/*======================================================================*/
.menu_mobile .divmm {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    bottom: 0;
    visibility: hidden;
    text-align: left;
    z-index: 9998;
}
.menu_mobile .divmm .mmContent {
    width: 100%;
    height: 100%;
    padding-left: 50px;
    margin: 0 0 0 auto;
    position: relative;
    top: 0;
    right: 0;
    z-index: 9999;
    -webkit-transform: translate(100%, 0%);
    -moz-transform: translate(100%, 0%);
    -o-transform: translate(100%, 0%);
    -ms-transform: translate(100%, 0%);
    transform: translate(100%, 0%);
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    overflow-y: auto;
    max-width: 420px;
    pointer-events: none;
}
.menu_mobile .divmm .mmContent.no-over{
    overflow-y:hidden;
}
.menu_mobile .divmm .divmmbg {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 51;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all 0.8s ease;
    -moz-transition: all 0.8s ease;
    -o-transition: all 0.8s ease;
    transition: all 0.8s ease;
    pointer-events: auto;
}
.menu_mobile .divmm.show .divmmbg {
    opacity: 1;
    visibility: visible;
}
/*======================================================================*/
/*======================MENU LOAI 1=====================================*/
/*======================================================================*/
.mmMenu {
    background: #f5f5f5;
    pointer-events: auto;
}
.mmMenu>ul>li{
    border-bottom:solid 1px rgba(0,0,0,0.2);
    overflow: hidden;
}
.mmMenu>ul>li:last-child{
    border-bottom:none;
}
.mmMenu>ul>li>a,
.mmMenu>ul>li>.m-sub>a {
    display: block;
    padding: 13px 15px;
    font-size: 16px;
    line-height: 24px;
    text-transform: uppercase;
    color: #333333;
    font-weight: bold;
}
.mmMenu>ul>li:hover>a,
.mmMenu>ul>li:hover>.m-sub>a,
.mmMenu>ul>li.current>a{
    background: #ec3237;
    color:#ffffff;
}
.mmMenu>ul>li>.m-sub{
    position: relative;
}
.mmMenu>ul>li>.m-sub>.button-submenu{
    position: absolute;
    top: 0;
    right: 0;
    width: 50px;
    height: 50px;
    border-left: solid 1px rgba(0,0,0,0.2);
    cursor: pointer;
    font-size: 23px;
    line-height: 31px;
    color: #a7a3a2;
    -webkit-transition: all 0.3s linear;
    -o-transition: all 0.3s linear;
    transition: all 0.3s linear;
}
.mmMenu>ul>li>.m-sub>.button-submenu:before{
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
}
.mmMenu>ul>li>.m-sub>.button-submenu.show:before{
    content: "\f107";
}
.mmMenu>ul>li:hover>.m-sub>.button-submenu{
    color:#ffffff;
}

/*=====LEVEL 2=====*/
.mmMenu>ul>li>ul{
    position: relative;
    z-index: 1;
    background: #dddddd;
}
.mmMenu>ul>li>ul>li>a,
.mmMenu>ul>li>ul>li>.m-sub>a {
    display: block;
    padding: 14px 15px;
    padding-left: 35px;
}
.mmMenu>ul>li>ul>li:hover>a,
.mmMenu>ul>li>ul>li:hover>.m-sub>a {
    color: #ec3237;
}
.mmMenu>ul>li>ul>li{
}
.mmMenu>ul>li>ul>li>.m-sub{
    position: relative;
}
.mmMenu>ul>li>ul>li>.m-sub>.button-submenu{
    position: absolute;
    top: 0;
    right: 0;
    width: 50px;
    height: 50px;
    cursor: pointer;
    font-size: 26px;
    line-height: 34px;
    color:#666666;
    -webkit-transition: all 0.3s linear;
    -o-transition: all 0.3s linear;
    transition: all 0.3s linear;
}
.mmMenu>ul>li>ul>li>.m-sub>.button-submenu:before{
    content: "\f105";
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
}
.mmMenu>ul>li>ul>li>.m-sub>.button-submenu.show:before{
    content: "\f107";
}
/*====LEVEL 3====*/
.mmMenu>ul>li>ul>li>ul{
    position: relative;
    z-index: 1;
    background: #e5e5e5;
}
.mmMenu>ul>li>ul>li>ul>li>a,
.mmMenu>ul>li>ul>li>ul>li>.m-sub>a {
    display: block;
    padding: 14px 15px;
    padding-left: 35px;
}
.mmMenu>ul>li>ul>li>ul>li:hover>a,
.mmMenu>ul>li>ul>li>ul>li:hover>.m-sub>a {
    color: #ec3237;
}
/*======================================================================*/
/*======================MENU LOAI 2=====================================*/
/*======================================================================*/
.menu_mobile.menu_2 .mmMenu ul.mmMain li ul{
    display: none;
}
.mmMenu .m-ab {
    position: fixed;
    top: 0;
    left: 50px;
    right: 0;
    bottom: 0;
    background: #ffffff;
    z-index: 61;
    overflow-y: auto;
    -webkit-transition: opacity 0.5s ease , visibility 0.5s ease , transform 0.5s ease;
    -moz-transition: opacity 0.5s ease , visibility 0.5s ease , transform 0.5s ease;
    -o-transition: opacity 0.5s ease , visibility 0.5s ease , transform 0.5s ease;
    transition: opacity 0.5s ease , visibility 0.5s ease , transform 0.5s ease;
    -webkit-transform: translate(100%, 0);
    -moz-transform: translate(100%, 0);
    -ms-transform: translate(100%, 0);
    -o-transform: translate(100%, 0);
    transform: translate(100%, 0);
    border-left: 1px solid rgba(0,0,0,0.1);
    opacity: 0;
    visibility: hidden;
}
.mmMenu .m-ab.active{
    -webkit-transform: translate(0, 0);
    -moz-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    -o-transform: translate(0, 0);
    transform: translate(0, 0);
    opacity: 1;
    visibility: visible;
}
.mmMenu .m-ab .m-ab-title a{
    display: block;
    padding: 14px 20px;
    text-transform: uppercase;
    font-weight: bold;
}
.mmMenu .m-ab .m-ab-title {
    border-bottom: 1px solid rgba(0,0,0,0.1);
}
.mmMenu .m-ab .m-ab-arrow a{
    display: block;
    padding: 14px 20px;
    text-transform: none;
    background: #000000;
    color:#ffffff;
    text-transform: uppercase;
}
.mmMenu .m-ab li {
    border-bottom: 1px solid rgba(0,0,0,0.1);
}
.mmMenu .m-ab li a {
    display: block;
    font-size: 14px;
    line-height: 24px;
    color: #333333;
    padding: 13px 20px;
    padding-left: 40px;
    position: relative;
    font-weight: normal;
}
.mmMenu .m-ab li a:before{
    position: absolute;
    font-family: fontawesome;
    content: '\f0da';
    left:20px;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
}
.mmMenu .m-ab li:hover a{
    color:#ff0000;
}
.mmMenu .m-ab li .m-sub{
    position: relative;
}
.mmMenu .m-ab li .button-submenu{
    position: absolute;
    right:0;
    top: 0;
    width: 50px;
    height: 50px;
    border-left: 1px solid rgba(0,0,0,0.1);
    cursor: pointer;
}
.mmMenu .m-ab li .button-submenu:before{
    content: "\f105";
    font-family: fontAwesome;
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
}
.mmMenu .m-ab ul ul{
    display: none;
}
/*======================================================================*/
/*===========================MENU SHOW LEFT=============================*/
/*======================================================================*/
.menu_mobile.show_left .divmm .mmContent {
    padding-left: 0;
    padding-right: 50px;
    margin: 0 auto 0 0;
    direction: rtl;
    -webkit-transform: translate(-100%, 0%);
    -moz-transform: translate(-100%, 0%);
    -o-transform: translate(-100%, 0%);
    -ms-transform: translate(-100%, 0%);
    transform: translate(-100%, 0%);
}
.menu_mobile.show_left .divmm .mmContent .mmMenu .m-ab {
    -webkit-transform: translate(-100%, 0);
    -moz-transform: translate(-100%, 0);
    -ms-transform: translate(-100%, 0);
    -o-transform: translate(-100%, 0);
    transform: translate(-100%, 0);
    border-right: 1px solid rgba(0,0,0,0.1);
    left: 0;
    right: 50px;
}
.menu_mobile.show_left .divmm.show .mmContent .close-mmenu,
.menu_mobile.show_left .divmm .mmContent .close-mmenu{
    left: auto;
    right: 0;
}
.menu_mobile.show_left .divmm .mmContent .mmMenu .m-ab.active{
    -webkit-transform: translate(0, 0);
    -moz-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    -o-transform: translate(0, 0);
    transform: translate(0, 0);
}
.menu_mobile .divmm.show {
    visibility: visible;
}
.menu_mobile .divmm.show .mmContent {
    -webkit-transform: translate(0%, 0%);
    -moz-transform: translate(0%, 0%);
    -o-transform: translate(0%, 0%);
    -ms-transform: translate(0%, 0%);
    transform: translate(0%, 0%);
}
.menu_mobile .divmm.show .mmContent .close-mmenu {
    left: 0;
    top: 0;
    opacity: 1;
}
/*======================================================================*/
/*===========================CLOSE MENU=================================*/
/*======================================================================*/
.menu_mobile .divmm .mmContent .close-mmenu {
    position: absolute;
    top: 0;
    left: 0;
    width: 50px;
    height: 50px;
    color: #666666;
    background: #ffffff;
    cursor: pointer;
    -webkit-transition: all 0.5s linear;
    -moz-transition: all 0.5s linear;
    -o-transition: all 0.5s linear;
    transition: all 0.5s linear;
    opacity: 0;
    pointer-events: auto;
    text-align: center;

}

.menu_mobile .divmm .mmContent .close-mmenu .x-close {
    position: relative;
    width: 50px;
    height: 30px;

    font-size: 25px;
    line-height: 40px;
    text-transform: uppercase;
}
.menu_mobile .divmm .mmContent .close-mmenu i{
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
}
.menu_mobile .divmm .mmContent .close-mmenu .x-close span{
    width: 30px;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}
.menu_mobile .divmm .mmContent .close-mmenu .x-close span::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 30px;
    height: 2px;
    background-color: #666666;
    transform: rotate(45deg);
}
.menu_mobile .divmm .mmContent .close-mmenu .x-close span::after{
    content: '';
    width: 30px;
    height: 2px;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #666666;
    transform: rotate(-45deg);
}

.menu_mobile .divmm .mmContent .close-mmenu .x-text {
    text-align: center;
    text-transform: uppercase;
    font-size: 12px;
    line-height: 16px;
    padding: 0 5px 5px;
}
/*======================================================================*/
/*===========================ADDON======================================*/
/*======================================================================*/
.mmSearch {
    position: relative;
    width: 100%;
    padding: 10px;
    background: #dddddd;
    pointer-events: auto;
}
.mmSearch input {
    height: 50px;
    width: 100%;
    border: none;
    padding-left: 15px;
    color: #666666;
    font-size: 16px;
    line-height: 24px;
    font-style: italic;
}
.mmSearch button {
    position: absolute;
    right: 20px;
    background: none;
    border: none;
    padding: 0;
    top: 50%;
    font-size: 21px;
    line-height: 29px;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    color: #ec3237;
}


.mmUser{
    padding: 10px 15px;
    background: var(--web-color);

}
.mmUser .m-guest {
    display: flex;
    align-items: center;
}
.mmUser .m-guest__avatar {

}
.mmUser .i-avatar {
    width: 40px;
    height: 40px;
    text-align: center;
    border-radius: 100%;
    background: #FFFFFF;
}
.mmUser .i-avatar i {
    padding: 5px;
    font-size: 20px;
    line-height: 30px;
}
.mmUser .i-avatar img {
    border-radius: 100%;
}
.mmUser .m-guest__link {

}
.mmUser .m-guest ul{
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    justify-content: center;
}
.mmUser .m-guest ul li{
    padding-right: 10px;
    margin-right: 10px;
    border-right: solid 1px #FFFFFF;
}
.mmUser .m-guest ul li:last-child{
    padding-right: 0;
    margin-right: 0;
    border-right: none;
}
.mmUser .m-guest ul li a{
    display: block;
    line-height: 14px;
    color: #FFFFFF;
}


.mmUser .m-member .vnt-account__icon {
   cursor: pointer;
    position: relative;
    padding-right: 15px;
}
.mmUser .m-member .vnt-account__icon::after {
    content: "\f106";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    position: absolute;
    right: 0;
    top: 10px; 
    font-size: 20px;
    color: #ffffff;
}
.mmUser .m-member .vnt-account__icon.collapsed::after {
    content: "\f107";
}

.mmUser .m-member .i-info .name{
    font-size: 16px;
    line-height: 24px;
    font-weight: bold;
    color: #ffffff;
}
.mmUser .m-member .i-info .txt{
    font-size: 13px;
    line-height: 20px;
    color: #fafafa;
    font-style: italic;
}

.mmUser .m-member .account-link {
    position: relative;
    border-top: 1px solid #dedede;
    padding: 15px ;
    margin-top: 5px;
    background: #fafafa;
}
.mmUser .m-member .account-link::before{
    content: '';
    position: absolute;
    top: -8px;
    left: 12px;
    /*left: 50%;
    transform: translateX(-50%);*/
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-bottom: 8px solid #ffffff;
}


.mmUser .m-member .account-link ul {
    list-style: none;
}
.mmUser .m-member .account-link li {
    margin-bottom: 8px;
}
.mmUser .m-member .account-link li:last-child{
    margin-bottom: 0;
}
.mmUser .m-member .account-link li a {
    font-size: 14px;
    line-height: 22px;
    position: relative;
    display: block;

}
.mmUser .m-member.account-link li a i {
    margin-right: 5px;
}
.mmUser .m-member .account-logout {

}
.mmUser .m-member .account-logout a {
    display: block;
    text-align: center;

    color: #333333;
    text-transform: uppercase;
    padding: 10px 10px;

    background-color: #f2f2f2;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}
.mmUser .m-member .account-logout a:hover {
    background-color: var(--web-color);
    color: #ffffff;
}

.mmMenu>ul>li>a, .mmMenu>ul>li>.m-sub>a {
    display: flex;
    justify-items: center;
}
.mmMenu ul li .m-icon {
    width: 30px;
    margin-right: 5px;
    text-align: center;
}

